#
# Conditional build:
%bcond_with	pgo		# disable profile guided optimizations

Summary:	A fast, lightweight and minimalistic Wayland terminal emulator
Name:		foot
Version:	1.22.3
Release:	2
License:	MIT
Group:		Applications/Terminal
Source0:	https://codeberg.org/dnkl/foot/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e689d751400af9a8573845eaebf86c78
Patch0:		x32.patch
URL:		https://codeberg.org/dnkl/foot/
BuildRequires:	fcft-devel < 4.0.0
BuildRequires:	fcft-devel >= 3.3.1
BuildRequires:	fontconfig-devel
BuildRequires:	libutf8proc-devel
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja
BuildRequires:	pixman-devel
BuildRequires:	pkgconfig
BuildRequires:	python3
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	scdoc
BuildRequires:	systemd-devel
BuildRequires:	tllist-devel >= 1.1.0
BuildRequires:	wayland-devel
BuildRequires:	wayland-protocols >= 1.41
BuildRequires:	xorg-lib-libxkbcommon-devel >= 1.8.0
%if %{with pgo}
BuildRequires:	cage
BuildRequires:	fonts-TTF-DejaVu
%endif
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,preun):	systemd-units >= 1:250.1
Requires:	fcft < 4.0.0
Requires:	fcft >= 3.3.1
Requires:	hicolor-icon-theme
Requires:	terminfo >= 6.2.20210731
Requires:	xorg-lib-libxkbcommon >= 1.8.0
Obsoletes:	terminfo-foot < 1.10.3-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A fast, lightweight and minimalistic Wayland terminal emulator.

%package -n bash-completion-foot
Summary:	Bash completion for foot command line
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-foot
Bash completion for foot command line.

%package -n fish-completion-foot
Summary:	fish-completion for foot
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	fish
BuildArch:	noarch

%description -n fish-completion-foot
fish-completion for foot.

%description -n fish-completion-foot -l pl.UTF-8
Pakiet ten dostarcza uzupełnianie nazw w fish dla foot.

%package -n zsh-completion-foot
Summary:	ZSH completion for foot command line
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-foot
ZSH completion for foot command line.

%prep
%setup -q
%patch -P0 -p1

%build
%meson \
	%{?with_pgo:-Db_pgo=generate} \
	-Dutmp-backend=libutempter \
	-Dutmp-default-helper-path=/usr/sbin/utempter \
	-Dterminfo=disabled

%meson_build

%if %{with pgo}
%meson_test

./pgo/full-headless-cage.sh . build

%__meson configure build \
	-Db_pgo=use

%meson_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor
%systemd_user_post foot-server.service foot-server.socket

%preun
%systemd_user_preun foot-server.service foot-server.socket

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md
%dir %{_sysconfdir}/xdg/foot
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/foot/foot.ini
%attr(755,root,root) %{_bindir}/foot
%attr(755,root,root) %{_bindir}/footclient
%{systemduserunitdir}/foot-server.service
%{systemduserunitdir}/foot-server.socket
%{_datadir}/foot
%{_desktopdir}/foot.desktop
%{_desktopdir}/foot-server.desktop
%{_desktopdir}/footclient.desktop
%{_iconsdir}/hicolor/*/apps/foot.png
%{_iconsdir}/hicolor/scalable/apps/foot.svg
%{_mandir}/man1/foot.1*
%{_mandir}/man1/footclient.1*
%{_mandir}/man5/foot.ini.5*
%{_mandir}/man7/foot-ctlseqs.7*

%files -n bash-completion-foot
%defattr(644,root,root,755)
%{bash_compdir}/foot
%{bash_compdir}/footclient

%files -n fish-completion-foot
%defattr(644,root,root,755)
%{fish_compdir}/foot.fish
%{fish_compdir}/footclient.fish

%files -n zsh-completion-foot
%defattr(644,root,root,755)
%{zsh_compdir}/_foot
%{zsh_compdir}/_footclient
%changelog
* Sun May 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/foot.git;a=log;h=master

* Sun May 11 2025 Jan Palus <atler@pld-linux.org> f5f0a3e
- libutf8proc -> utf8proc rebuild

* Thu May 01 2025 Jan Palus <atler@pld-linux.org> 9403f1d
- up to 1.22.3

* Wed Apr 30 2025 Jan Palus <atler@pld-linux.org> a0e34e2
- up to 1.22.2

* Sun Apr 27 2025 Jan Palus <atler@pld-linux.org> 7597878
- up to 1.22.1

* Wed Apr 23 2025 Jan Palus <atler@pld-linux.org> b2ae03f
- fix race with header generation; rel 2

* Fri Apr 18 2025 Jan Palus <atler@pld-linux.org> 3658b37
- up to 1.22.0

* Mon Mar 17 2025 Jan Palus <atler@pld-linux.org> 3f43b21
- up to 1.21.0

* Mon Mar 17 2025 Jan Palus <atler@pld-linux.org> d4706f1
- use new meson macros

* Mon Mar 17 2025 Jan Palus <atler@pld-linux.org> 7fe08e3
- use %patch -P

* Mon Jan 20 2025 Jan Palus <atler@pld-linux.org> 4d1caf3
- up to 1.20.2

* Fri Jan 03 2025 Jan Palus <atler@pld-linux.org> 34bc638
- switch to official release tarball

* Fri Jan 03 2025 Jan Palus <atler@pld-linux.org> dee67cf
- up to 1.20.1

* Wed Jan 01 2025 Jan Palus <atler@pld-linux.org> 50ae456
- up to 1.20.0

* Wed Oct 23 2024 Jan Palus <atler@pld-linux.org> 654cdb3
- up to 1.19.0

* Thu Aug 15 2024 Jan Palus <atler@pld-linux.org> 653699a
- up to 1.18.1

* Fri Aug 02 2024 Jan Palus <atler@pld-linux.org> 0401d36
- up to 1.18.0

* Wed Apr 17 2024 Jan Palus <atler@pld-linux.org> fa6025b
- up to 1.17.2

* Tue Apr 16 2024 Jan Palus <atler@pld-linux.org> bac5389
- up to 1.17.1

* Tue Apr 02 2024 Jan Palus <atler@pld-linux.org> 12f2b28
- up to 1.17.0

* Thu Oct 19 2023 Jan Palus <atler@pld-linux.org> 714e466
- up to 1.16.2

